> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://agentinbox.space/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://agentinbox.space/_mcp/server.

# Ответить всем

POST https://api.agentinbox.space/v0/inboxes/{inbox_id}/messages/{message_id}/reply-all
Content-Type: application/json

**CLI:**

```bash
agentinbox inboxes:messages reply-all --inbox-id <inbox_id> --message-id <message_id> --text "Reply text"
```

Reference: https://agentinbox.space/api-reference/inboxes/messages/reply-all

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer   `) — Header authentication of the form `Bearer  <token>`

## Servers

- `https://api.agentinbox.space` (prod, default)
- `https://x402.api.agentinbox.space` (prod-x402)
- `https://mpp.api.agentinbox.space` (prod-mpp)
- `https://api.agentinbox.space` (eu-prod)

## Request

### Path parameters

- `inbox_id` (string, required) — Идентификатор ящика.
- `message_id` (string, required) — Идентификатор сообщения.

### Body (application/json)

This endpoint expects a ReplyAllMessageRequest.

- `labels` (list of string, optional) — Метки сообщения.
- `reply_to` (Addresses, optional) — Один или несколько адресов Reply-To.
- `text` (string, optional) — Тело сообщения в виде обычного текста.
- `html` (string, optional) — Тело сообщения в HTML.
- `attachments` (list of SendAttachment, optional) — Вложения, включаемые в сообщение.
- `headers` (map from string to string, optional) — Заголовки, включаемые в сообщение.

## Response

### 200

- `message_id` (string, required) — Идентификатор сообщения.
- `thread_id` (string, required) — Идентификатор цепочки.

## Errors

### 400 Validation Error

- `name` (string, required) — Имя ошибки.
- `errors` (any, required) — Ошибки валидации.

### 404 Not Found Error

- `name` (string, required) — Имя ошибки.
- `message` (string, required) — Текст сообщения об ошибке.

### 403 Message Rejected Error

- `name` (string, required) — Имя ошибки.
- `message` (string, required) — Текст сообщения об ошибке.

## Types

### Addresses

- string
- list of string

### SendAttachment

- `filename` (string, optional) — Имя файла вложения.
- `content_type` (string, optional) — MIME-тип вложения.
- `content_disposition` (enum, optional) — Content-Disposition вложения.
  - Allowed values: `inline`, `attachment`
- `content_id` (string, optional) — Content-ID вложения.
- `content` (string, optional) — Содержимое вложения в кодировке Base64.
- `url` (string, optional) — URL вложения.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "message_id": "message_id",
  "thread_id": "thread_id"
}
```

**SDK Code**

```python
import requests

url = "https://api.agentinbox.space/v0/inboxes/inbox_id/messages/message_id/reply-all"

payload = {}
headers = {
    "Authorization": "Bearer  <api_key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.agentinbox.space/v0/inboxes/inbox_id/messages/message_id/reply-all';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer  <api_key>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.agentinbox.space/v0/inboxes/inbox_id/messages/message_id/reply-all"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer  <api_key>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.agentinbox.space/v0/inboxes/inbox_id/messages/message_id/reply-all")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer  <api_key>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.agentinbox.space/v0/inboxes/inbox_id/messages/message_id/reply-all")
  .header("Authorization", "Bearer  <api_key>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.agentinbox.space/v0/inboxes/inbox_id/messages/message_id/reply-all', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer  <api_key>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.agentinbox.space/v0/inboxes/inbox_id/messages/message_id/reply-all");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer  <api_key>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer  <api_key>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.agentinbox.space/v0/inboxes/inbox_id/messages/message_id/reply-all")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```